package com.mortals.xhx.module.hik.event.model.req.callback;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class EventsItem {
    private String eventId;
    private EventData data;
    private int eventType;
    private String srcIndex;
    private String ability;
    private String srcType;
    private int timeout;
    @JSONField(format = "yyyy-MM-dd'T'HH:mm:ssXXX")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd'T'HH:mm:ss.SSSXXX")
    private Date happenTime;
    private int status;
}