package com.mortals.xhx.module.appointment.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.appointment.model.AppointmentRecordsEntity;
import org.springframework.web.bind.annotation.RequestBody;

/**
* AppointmentRecordsService
*
* 预约签到记录 service接口
*
* @author zxfei
* @date 2023-04-09
*/
public interface AppointmentRecordsService extends ICRUDService<AppointmentRecordsEntity,Long>{

    /**
     * 停止群众预约推送服务
     * @param appointmentRecordsEntity
     * @param context
     * @return
     */
    Rest<String> stopService(AppointmentRecordsEntity appointmentRecordsEntity, Context context);

}